Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface PlaceholderView

All Superinterfaces
  MarkupBasedView, Serializable, View

    public interface PlaceholderView

extends MarkupBasedView

View class for a placeholder. A placeholder will hold a set of placeables, i.e. portlets and/or books.

"Views" are deep copy immutable objects. Unlike "Definitions" and "Instances" Views cannot be modified by the developer. An Instance or a Definition however can always be obtained from the view. The persistence APIs provide coarse grain and fine grain getters, but only fine grain setters. If you are interested in an object and all its children then retrieve the View, but if you are only interested in the immediate object and don't care about its children then retrieve the Definition.

See Also
  `View`
  This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`int` | `getBookCount()` Convenience method to count all books held by this placeholder.
`BookView[]` | `getBookViews()` Get all books held by this placeholder.
`LocalizationResourceView` | `getLocalizationResourceView()` The Localization resource contains the localized title and description for this placeholder.
`int` | `getLocation()` Return this placeholder's layout location.
`int` | `getPlaceableCount()` Convenience method to count all placeables (books or portlets) held by this placeholder.
`PlaceableView[]` | `getPlaceableViews()` Get all placeables (books or portlets) held by this placeholder.
`PlaceholderDefinition` | `getPlaceholderDefinition()` Retrieve the associated `PlaceholderDefinition` from this Placeholder View.
`PlaceholderDefinitionId` | `getPlaceholderDefinitionId()` Getter for placeholder definition id.
`int` | `getPortletCount()` Convenience method to count all portlets held by this placeholder.
`PortletView` | `getPortletView(PortletInstanceId portletId)` Get the portlet for a given database instance ID.
`PortletView[]` | `getPortletViews()` Get all portlets held by this placeholder.

Methods inherited from interface com.bea.netuix.application.view.MarkupBasedView
`getMarkupView`

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Method Detail

### getPlaceholderDefinitionId

    PlaceholderDefinitionId getPlaceholderDefinitionId()

  Getter for placeholder definition id. The placeholder id is the primary key value for the shell definition in the PF_PLACEHOLDER_DEFINITION table. Unlike Book, Pages, and Portlets, placeholders do not have instances. The admin or end-user can still change his or her placeholder but they are customizing the page not the placeholder.

  Returns
    a non-null unique definition id. This value should never be null as views are obtained via the persistence API.

### getPlaceholderDefinition

    PlaceholderDefinition getPlaceholderDefinition()

  Retrieve the associated `PlaceholderDefinition` from this Placeholder View. Placeholder Views are immutable but Placeholder Instances and Placeholder Definitions are not. Therefore it is often necessary to retrieve the definition from the view in order to update its values and then in turn call the persistence API.

  Returns
    a non-null Placeholder Definition.

### getLocalizationResourceView

    LocalizationResourceView getLocalizationResourceView()

  The Localization resource contains the localized title and description for this placeholder.

  Returns
    a non-null LocalizationResourceView customized per the request.

### getPortletViews

    PortletView[] getPortletViews()

  Get all portlets held by this placeholder. Returns an empty array if there are none.

### getPortletCount

    int getPortletCount()

  Convenience method to count all portlets held by this placeholder.

### getPortletView

    PortletView getPortletView(PortletInstanceId portletId)

  Get the portlet for a given database instance ID. Return null if there is no such portlet.

### getBookViews

    BookView[] getBookViews()

  Get all books held by this placeholder. Returns an empty array if there are none.

### getBookCount

    int getBookCount()

  Convenience method to count all books held by this placeholder.

### getPlaceableViews

    PlaceableView[] getPlaceableViews()

  Get all placeables (books or portlets) held by this placeholder. Returns an empty array if there are none.

### getPlaceableCount

    int getPlaceableCount()

  Convenience method to count all placeables (books or portlets) held by this placeholder.

### getLocation

    int getLocation()

  Return this placeholder's layout location. The location is an integer representing column or location in the layout. example: 0 == first column

  Returns
    the layout location, which will be a number >= 0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.